| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces
OgreUnifiedHighLevelGpuProgram.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHighLevelGpuProgram.h"`
`#include "OgreHighLevelGpuProgramManager.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::UnifiedHighLevelGpuProgram
| Specialisation of HighLevelGpuProgram which just delegates its implementation to one other high level program, allowing a single program definition to represent one supported program from a number of options. More...
class | Ogre::UnifiedHighLevelGpuProgram::CmdDelegate
| Command object for setting delegate (can set more than once) More...
class | Ogre::UnifiedHighLevelGpuProgramFactory
| Factory class for Unified programs. More...

## Namespaces
| Ogre